<mat-toolbar color="primary">

  <img class="clickage-image" alt="BdE" height="100%" routerLink="/" src="https://logos.bde-insa-lyon.fr/bde/bde.svg">
  <span class="link" routerLink="/">{{title}}</span>
  <mat-menu #MenuAdhesion>
    <button class="toolbar-submenu" mat-menu-item routerLink="/members/">Recherche des adhérents</button>
    <button class="toolbar-submenu" mat-menu-item routerLink="/members/create">Nouvel adhérent</button>
  </mat-menu>


  <mat-menu #MenuWEI="matMenu">
    <button class="toolbar-submenu" mat-menu-item routerLink="/wei/tableau">Liste des inscrits</button>
    <button class="toolbar-submenu" mat-menu-item routerLink="/wei/bus">Liste des Bus</button>
    <button class="toolbar-submenu" mat-menu-item routerLink="/wei/bungalow">Liste des Bungalows</button>
  </mat-menu>

  <button [disabled]="!enableButtons()" [matMenuTriggerFor]="MenuAdhesion" class="toolbar-menu" mat-raised-button="">
    Adhérents
    ▼
  </button>
  <button [disabled]="!enableButtons()" [matMenuTriggerFor]="MenuWEI" class="toolbar-menu" mat-raised-button="">WEI ▼
  </button>
  <button [disabled]="!enableButtons()" class="toolbar-menu" mat-raised-button="" routerLink="/inte">Chaîne
    d'intégration
  </button>
  <button [disabled]="!enableButtons()" class="toolbar-menu" mat-raised-button="" routerLink="/preenregistrer">
    Préenregistrement
  </button>

  <mat-menu #Compta>
    <button class="toolbar-submenu" mat-menu-item routerLink="/feuille-caisse">Feuille de caisse</button>
    <button class="toolbar-submenu" mat-menu-item routerLink="/mercanet">MercaNET</button>
  </mat-menu>
  <button [disabled]="!enableButtons()" [matMenuTriggerFor]="Compta" class="toolbar-menu" mat-raised-button="">Compta
    ▼
  </button>

  <mat-menu #MenuMGMT>
    <button class="toolbar-submenu" mat-menu-item routerLink="/mgmt/watchtower">WatchTower</button>
    <button class="toolbar-submenu" mat-menu-item routerLink="/mgmt/controlpanel">Panneau de contrôle</button>
  </mat-menu>
  <button [disabled]="!enableButtons()" [matMenuTriggerFor]="MenuMGMT" class="toolbar-menu" mat-raised-button="">MGMT
    ▼
  </button>
  <span class="toolbar-fill-remaining-space"></span>
  <mat-menu #syncMenu>
    <span mat-menu-item><mat-slide-toggle [(ngModel)]="navigateToMember"></mat-slide-toggle> Redirection adhérent</span>
    <button (click)="fermerWs()" mat-menu-item>Déconnecter le téléphone</button>
  </mat-menu>
  <div [className]="heartbeat ? 'spin' : ''" style="margin-right: 1rem">
    <button (click)="showQrCode()" *ngIf="wsStatus!=='connected'" mat-raised-button="">
      <mat-icon class="syncicon">phonelink_off</mat-icon>
    </button>
    <button #syncTrigger *ngIf="wsStatus==='connected'" [matMenuTriggerFor]="syncMenu" mat-raised-button="">
      <mat-icon>phonelink</mat-icon>
    </button>
  </div>
  <app-user (isLogged)="isLogged=$event;"></app-user>
</mat-toolbar>
<div #progess [className]="isLoading ? 'progress':'no-progress'">
  <mat-progress-bar color="warn" mode="indeterminate"></mat-progress-bar>
</div>
<main>
  <router-outlet></router-outlet>
</main>
